# pandas.Index.delete

Index.delete(loc)

  Make new Index with passed location(-s) deleted.

  Parameters
    loc int or list of int

      Location of item(-s) which will be deleted. Use a list of locations to delete more than one value at the same time.

  Returns
    Index

      Will be same type as self, except for RangeIndex.

  See also

  `numpy.delete`

    Delete any rows and column from NumPy array (ndarray).

  Examples

      >>> idx = pd.Index(['a', 'b', 'c'])
      >>> idx.delete(1)
      Index(['a', 'c'], dtype='object')

      >>> idx = pd.Index(['a', 'b', 'c'])
      >>> idx.delete([0, 2])
      Index(['b'], dtype='object')